Bug 1156201 - subnetcalc: GeoIP support is discontinued
subnetcalc: GeoIP support is discontinued
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: Other
Current
Other Other
: P5 - None : Normal (vote)
: ---
Assigned To: Sebastian Wagner
E-mail List
:
Depends on:
Blocks: 1156194
  Show dependency treegraph
 
Reported: 2019-11-07 17:19 UTC by Ludwig Nussel
Modified: 2020-03-31 16:32 UTC (History)
2 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ludwig Nussel 2019-11-07 17:19:09 UTC
GeoIP has been discontinued by Maxmind. Please see
https://support.maxmind.com/geolite-legacy-discontinuation-notice/ for
details. Without the database GeoIP is useless. Therefore all users of GeoIP
have to either migrate to libmaxminddb or remove GeoIP support. The GeoIP
package itself will be dropped from Tumbleweed.
Comment 1 Sebastian Wagner 2019-11-07 20:02:21 UTC
I don't know why I get assigned, as I'm not the subnetcalc maintainer, but I requested that now and will update it afterwards. Also, geoip integration is optional now, so this can be fixed in the package and the package could survive then in Factory.
Comment 2 Ludwig Nussel 2019-11-08 07:54:48 UTC
$ osc maintainer subnetcalc
Defined in package: network:utilities/subnetcalc 
  bugowner of subnetcalc : 
   sebix

  maintainer of subnetcalc : 
   sebix
Comment 3 Sebastian Wagner 2019-11-16 17:02:01 UTC
https://build.opensuse.org/request/show/749061
Comment 4 Vítězslav Čížek 2020-03-10 14:46:56 UTC
Accepted to Factory.
Comment 5 Swamp Workflow Management 2020-03-24 12:50:05 UTC
This is an autogenerated message for OBS integration:
This bug (1156201) was mentioned in
https://build.opensuse.org/request/show/787781 15.1 / subnetcalc
Comment 6 Swamp Workflow Management 2020-03-31 10:18:12 UTC
openSUSE-RU-2020:0419-1: An update that has one recommended fix can now be installed.

Category: recommended (moderate)
Bug References: 1156201
CVE References: 
Sources used:
openSUSE Leap 15.1 (src):    subnetcalc-2.4.14-lp151.3.3.1
Comment 7 Swamp Workflow Management 2020-03-31 16:32:48 UTC
openSUSE-RU-2020:0435-1: An update that has one recommended fix can now be installed.

Category: recommended (moderate)
Bug References: 1156201
CVE References: 
Sources used:
openSUSE Backports SLE-15-SP1 (src):    subnetcalc-2.4.14-bp151.4.3.1